GNU bug report logs - #36438
git-fetch issue

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Julien Lepiller <julien@HIDDEN>; dated Sat, 29 Jun 2019 21:11:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 36438 <at> debbugs.gnu.org:


Received: (at 36438) by debbugs.gnu.org; 18 Jul 2019 11:16:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 07:16:06 2019
Received: from localhost ([127.0.0.1]:53501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ho4OM-0001UU-0J
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 07:16:06 -0400
Received: from flashner.co.il ([178.62.234.194]:40700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1ho4OK-0001Tl-1J
 for 36438 <at> debbugs.gnu.org; Thu, 18 Jul 2019 07:16:04 -0400
Received: from localhost (unknown [94.230.83.247])
 by flashner.co.il (Postfix) with ESMTPSA id 29C704004E;
 Thu, 18 Jul 2019 11:15:58 +0000 (UTC)
Date: Thu, 18 Jul 2019 14:15:56 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Julien Lepiller <julien@HIDDEN>
Subject: Re: bug#36438: git-fetch issue
Message-ID: <20190718111556.GE684@macbook41>
References: <20190629230943.670b5e33@HIDDEN>
 <87y30w8m8k.fsf@HIDDEN>
 <E89FF7A5-3C15-4FB9-95C7-1DD9F89DDE6F@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="N1GIdlSm9i+YlY4t"
Content-Disposition: inline
In-Reply-To: <E89FF7A5-3C15-4FB9-95C7-1DD9F89DDE6F@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
User-Agent: Mutt/1.12.1 (2019-06-15)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36438
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 36438 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--N1GIdlSm9i+YlY4t
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Jul 18, 2019 at 08:45:01AM +0200, Julien Lepiller wrote:
> If it allows me to build and bootstrap kotlin, I think so :)
>=20

Not related to the bug, but there's a Debian GSoC project to
(apparently) bootstrap kotlin from ources in Debian=C2=B9. I thought that
might be of interest to you :)

=C2=B9 https://salsa.debian.org/m36-guest/kotlin-1.3.30

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--N1GIdlSm9i+YlY4t
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl0wVOwACgkQQarn3Mo9
g1FmRg/9GXK/hRF+1UFQmOP1TP8JP4ruJtUWaurI1sIRBzz4W6Va681S1ZhpOqnL
88qMCn67f8arFswG2LRP+OJrHAfIt9GDD6z4AC8TUTiwRHKzBhIem/LXXwbhq1Pk
wmovvrdeMdk3gnRbLexeW3ghSKUF5jqArplrHpXufnQUBNW+mUuJzK274NbzDmCd
hf0Bq+W1+HMhiNj5izjJBC+K3mL4lkhvqhDcCLJSefOy434LkpyiDI6MyuuAmZQ6
5YdhcQN4hE8lurJo5YnKDzyfLGRjhuuhpiJLzGaYOA7aMJZ5JgdHLwBUe3k0r3uI
IfqDfPFZt2h58qBKq18kSPeKfwalC+v/atv6mLpz5P45BLF0L2dCMWq1DRLj9gX6
YzdoSlCk6eElkBa2bFw0VQc1fZTSsDSh3KxJpCppnXZwcFUmUYv1peDiIJ89ebu1
q0JMQiZ2HYUHV77XEr/JX0Wx7Nql409S+9ZBHRSxKH+BRQV/2f03HU8J8I7BL4RV
U3R5ePBwx1OaIo6/M5qQnRwHtWEeZoySHuo3BtohAcHMPWaK/1UvYrlVIS8eAOat
OzW30YsCy/GAe4F0Ptng+7fQcOSkKBRg+OIcGYungVM5QjUTGgF3D7KLNiTNH29P
bvwV7LhXLhPt9NhuwJCsSbH4HJbwJdHPHsTfprC9DCvzRZhV7GU=
=3MYh
-----END PGP SIGNATURE-----

--N1GIdlSm9i+YlY4t--




Information forwarded to bug-guix@HIDDEN:
bug#36438; Package guix. Full text available.

Message received at 36438 <at> debbugs.gnu.org:


Received: (at 36438) by debbugs.gnu.org; 18 Jul 2019 06:45:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 02:45:12 2019
Received: from localhost ([127.0.0.1]:53325 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ho0AA-00079r-Sr
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 02:45:11 -0400
Received: from lepiller.eu ([89.234.186.109]:34802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1ho0A8-00079i-RA
 for 36438 <at> debbugs.gnu.org; Thu, 18 Jul 2019 02:45:09 -0400
Received: from [10.109.43.65] (tor-exit.csail.mit.edu [128.31.0.13])
 by lepiller.eu (OpenSMTPD) with ESMTPSA id 2ce6c9a0
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Thu, 18 Jul 2019 06:45:01 +0000 (UTC)
Date: Thu, 18 Jul 2019 08:45:01 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <87y30w8m8k.fsf@HIDDEN>
References: <20190629230943.670b5e33@HIDDEN>
 <87y30w8m8k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#36438: git-fetch issue
To: =?ISO-8859-1?Q?Ludovic_Court=E8s?= <ludo@HIDDEN>
From: Julien Lepiller <julien@HIDDEN>
Message-ID: <E89FF7A5-3C15-4FB9-95C7-1DD9F89DDE6F@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36438
Cc: 36438 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Le 17 juillet 2019 22:00:43 GMT+02:00, "Ludovic Court=C3=A8s" <ludo@gnu=2Eo=
rg> a =C3=A9crit :
>Hello,
>
>Julien Lepiller <julien@lepiller=2Eeu> skribis:
>
>> HEAD is now at 2f47e30a1a1 Fixed UnsupportedOperationException when a
>> namespace is used in place of an expression=2E warning: failed to
>> delete =2Egit/refs/tags/rc1=2E0=2E0-IJ143-5-143=2E???2072: No such file=
 or
>> directory warning: failed to
>> delete =2Egit/refs/tags/1=2E0=2E3-eap-13-IJ143-2-143=2E???2167=2E???2: =
No such
>> file or directory Backtrace: 11 (primitive-load
>> "/gnu/store/21xc0h6f0c1zngfgza7526w32i0?") In ice-9/eval=2Escm: 293:34
>10
>> (_ #<directory (guile-user) 5ce140>) In ice-9/boot-9=2Escm:
>>     829:9  9 (catch _ _ #<procedure 87d360 at =2E/guix/build/git=2Escm:=
?>
>?)
>> In =2E/guix/build/git=2Escm:
>>      76:6  8 (_)
>> In ice-9/ftw=2Escm:
>>    452:32  7 (loop _ _ #(64768 20746206 16877 7 999 30000 0 4096 # ?)
>?)
>> In srfi/srfi-1=2Escm:
>>    466:18  6 (fold #<procedure 8812e0 at ice-9/ftw=2Escm:452:38 (subd?>
>?)
>> In unknown file:
>>            5 (_ #<procedure 6da7b0 at ice-9/ftw=2Escm:454:44 ()> #<pr?>
>?)
>> In ice-9/ftw=2Escm:
>>    452:32  4 (loop _ _ #(64768 20746213 16877 5 999 30000 0 4096 # ?)
>?)
>> In srfi/srfi-1=2Escm:
>>    466:18  3 (fold #<procedure 528f60 at ice-9/ftw=2Escm:452:38 (subd?>
>?)
>> In unknown file:
>>            2 (_ #<procedure 6da780 at ice-9/ftw=2Escm:454:44 ()> #<pr?>
>?)
>> In ice-9/ftw=2Escm:
>>    463:35  1 (loop _ _ _ _ _)
>> In unknown file:
>>            0 (rmdir "=2Egit/refs/tags")
>>
>> ERROR: In procedure rmdir:
>> In procedure rmdir: Directory not empty
>
>It looks like =2Egit/refs/tags contains a file with a non-ASCII name=2E
>
>The =E2=80=98git-fetch=E2=80=99 derivation, in (guix git-download), runs =
in the C
>locale, so Guile ends up substituting question marks to non-ASCII
>characters=2E  Thus, =E2=80=98delete-file-recursively=E2=80=99 fails to d=
elete the
>offending file, and the whole operation fails=2E
>
>The fix, as usual, would be to set GUIX_LOCPATH there to point to
>(file-append glibc-utf8-locale "/lib/locale")=2E
>
>Is it worth it, though?
>
>Thanks,
>Ludo=E2=80=99=2E

If it allows me to build and bootstrap kotlin, I think so :)




Information forwarded to bug-guix@HIDDEN:
bug#36438; Package guix. Full text available.

Message received at 36438 <at> debbugs.gnu.org:


Received: (at 36438) by debbugs.gnu.org; 17 Jul 2019 20:00:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 16:00:55 2019
Received: from localhost ([127.0.0.1]:53066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hnq6g-0006Dd-Qk
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2019 16:00:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44451)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hnq6c-0006DN-J6
 for 36438 <at> debbugs.gnu.org; Wed, 17 Jul 2019 16:00:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36338)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hnq6W-0004RG-Ts; Wed, 17 Jul 2019 16:00:44 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=34442 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hnq6W-0005RA-HX; Wed, 17 Jul 2019 16:00:44 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Julien Lepiller <julien@HIDDEN>
Subject: Re: bug#36438: git-fetch issue
References: <20190629230943.670b5e33@HIDDEN>
Date: Wed, 17 Jul 2019 22:00:43 +0200
In-Reply-To: <20190629230943.670b5e33@HIDDEN> (Julien Lepiller's
 message of "Sat, 29 Jun 2019 23:09:43 +0200")
Message-ID: <87y30w8m8k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36438
Cc: 36438 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Julien Lepiller <julien@HIDDEN> skribis:

> HEAD is now at 2f47e30a1a1 Fixed UnsupportedOperationException when a
> namespace is used in place of an expression. warning: failed to
> delete .git/refs/tags/rc1.0.0-IJ143-5-143.???2072: No such file or
> directory warning: failed to
> delete .git/refs/tags/1.0.3-eap-13-IJ143-2-143.???2167.???2: No such
> file or directory Backtrace: 11 (primitive-load
> "/gnu/store/21xc0h6f0c1zngfgza7526w32i0?") In ice-9/eval.scm: 293:34 10
> (_ #<directory (guile-user) 5ce140>) In ice-9/boot-9.scm:
>     829:9  9 (catch _ _ #<procedure 87d360 at ./guix/build/git.scm:?> ?)
> In ./guix/build/git.scm:
>      76:6  8 (_)
> In ice-9/ftw.scm:
>    452:32  7 (loop _ _ #(64768 20746206 16877 7 999 30000 0 4096 # ?) ?)
> In srfi/srfi-1.scm:
>    466:18  6 (fold #<procedure 8812e0 at ice-9/ftw.scm:452:38 (subd?> ?)
> In unknown file:
>            5 (_ #<procedure 6da7b0 at ice-9/ftw.scm:454:44 ()> #<pr?> ?)
> In ice-9/ftw.scm:
>    452:32  4 (loop _ _ #(64768 20746213 16877 5 999 30000 0 4096 # ?) ?)
> In srfi/srfi-1.scm:
>    466:18  3 (fold #<procedure 528f60 at ice-9/ftw.scm:452:38 (subd?> ?)
> In unknown file:
>            2 (_ #<procedure 6da780 at ice-9/ftw.scm:454:44 ()> #<pr?> ?)
> In ice-9/ftw.scm:
>    463:35  1 (loop _ _ _ _ _)
> In unknown file:
>            0 (rmdir ".git/refs/tags")
>
> ERROR: In procedure rmdir:
> In procedure rmdir: Directory not empty

It looks like .git/refs/tags contains a file with a non-ASCII name.

The =E2=80=98git-fetch=E2=80=99 derivation, in (guix git-download), runs in=
 the C
locale, so Guile ends up substituting question marks to non-ASCII
characters.  Thus, =E2=80=98delete-file-recursively=E2=80=99 fails to delet=
e the
offending file, and the whole operation fails.

The fix, as usual, would be to set GUIX_LOCPATH there to point to
(file-append glibc-utf8-locale "/lib/locale").

Is it worth it, though?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36438; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jun 2019 21:10:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 17:10:12 2019
Received: from localhost ([127.0.0.1]:44965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhKbr-0004Ve-KY
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 17:10:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:49834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1hhKbp-0004VW-En
 for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 17:10:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42802)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <julien@HIDDEN>) id 1hhKbo-0006rr-6w
 for bug-guix@HIDDEN; Sat, 29 Jun 2019 17:10:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <julien@HIDDEN>) id 1hhKbm-0004TB-V7
 for bug-guix@HIDDEN; Sat, 29 Jun 2019 17:10:08 -0400
Received: from lepiller.eu ([2a00:5884:8208::1]:52714)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <julien@HIDDEN>) id 1hhKbm-0004AG-JO
 for bug-guix@HIDDEN; Sat, 29 Jun 2019 17:10:06 -0400
Received: from sybil.lepiller.eu (89-92-10-229.hfc.dyn.abo.bbox.fr
 [89.92.10.229]) by lepiller.eu (OpenSMTPD) with ESMTPSA id fc5273ee
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO) for <bug-guix@HIDDEN>;
 Sat, 29 Jun 2019 21:09:48 +0000 (UTC)
Date: Sat, 29 Jun 2019 23:09:43 +0200
From: Julien Lepiller <julien@HIDDEN>
To: bug-guix@HIDDEN
Subject: git-fetch issue
Message-ID: <20190629230943.670b5e33@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:5884:8208::1
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi, I'm trying to build an old version of kotlin from its git
repository. Unfortunately, there is an issue when checking out the
repository. Here is the log (truncated in the list of branches and
tags):


environment variable `PATH' set to
`/gnu/store/q09sy224qnxrp982z4xfaxi19721mjx8-gzip-1.9/bin:/gnu/store/ipx79bfj2mrc8npj7s3qi3zri11jfhaw-tar-1.30/bin'
Initialized empty Git repository
in /gnu/store/z4mqw5b9vq2ki0rxaix2wsmhmxq14s6a-kotlin-0.4.424-checkout/.git/
error: Server does not allow request for unadvertised object
2f47e30a1a12347759dbb8707f5137178de65696 Failed to do a shallow fetch;
retrying a full fetch... From https://github.com/JetBrains/kotlin
 * [new branch]      1.0.1                       -> origin/1.0.1
 * [new branch]      1.0.1_/br141                -> origin/1.0.1_/br141
 * [new branch]      1.0.1_/br145                -> origin/1.0.1_/br145
...
 * [new tag]                 v1.3.40-eap-32              ->
v1.3.40-eap-32
 * [new tag]                 v1.3.40-eap-67              ->
v1.3.40-eap-67 Note: checking out
'2f47e30a1a12347759dbb8707f5137178de65696'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in
this state without impacting any branches by performing another
checkout.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -b with the checkout command again.
Example:

  git checkout -b <new-branch-name>

HEAD is now at 2f47e30a1a1 Fixed UnsupportedOperationException when a
namespace is used in place of an expression. warning: failed to
delete .git/refs/tags/rc1.0.0-IJ143-5-143.???2072: No such file or
directory warning: failed to
delete .git/refs/tags/1.0.3-eap-13-IJ143-2-143.???2167.???2: No such
file or directory Backtrace: 11 (primitive-load
"/gnu/store/21xc0h6f0c1zngfgza7526w32i0?") In ice-9/eval.scm: 293:34 10
(_ #<directory (guile-user) 5ce140>) In ice-9/boot-9.scm:
    829:9  9 (catch _ _ #<procedure 87d360 at ./guix/build/git.scm:?> ?)
In ./guix/build/git.scm:
     76:6  8 (_)
In ice-9/ftw.scm:
   452:32  7 (loop _ _ #(64768 20746206 16877 7 999 30000 0 4096 # ?) ?)
In srfi/srfi-1.scm:
   466:18  6 (fold #<procedure 8812e0 at ice-9/ftw.scm:452:38 (subd?> ?)
In unknown file:
           5 (_ #<procedure 6da7b0 at ice-9/ftw.scm:454:44 ()> #<pr?> ?)
In ice-9/ftw.scm:
   452:32  4 (loop _ _ #(64768 20746213 16877 5 999 30000 0 4096 # ?) ?)
In srfi/srfi-1.scm:
   466:18  3 (fold #<procedure 528f60 at ice-9/ftw.scm:452:38 (subd?> ?)
In unknown file:
           2 (_ #<procedure 6da780 at ice-9/ftw.scm:454:44 ()> #<pr?> ?)
In ice-9/ftw.scm:
   463:35  1 (loop _ _ _ _ _)
In unknown file:
           0 (rmdir ".git/refs/tags")

ERROR: In procedure rmdir:
In procedure rmdir: Directory not empty




Acknowledgement sent to Julien Lepiller <julien@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36438; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 18 Jul 2019 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.